Subject: bug#18155: 24.3.92; Honor toolBar resource *before* showing frame

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Jul 2014 15:08:44 +0300

> Cc: "[email-masked]" <[email-masked]>,
>  "[email-masked]" <[email-masked]>
> From: Jan Djärv <[email-masked]>
> Date: Thu, 31 Jul 2014 13:29:23 +0200
> 
> > Thanks.  So I was mistaken: this does not depend on the toolkit.  In
> > that case, I guess we could change that to work more like the menu
> > bar, which (AFAIR) is shown on the initial frame.
> 
> When I looked at this, the tool bar items where not initialised at frame creation.  So there where no items to put there even if we did show the toolbar. For Gtk it will show a bar a few pixels high.  It is hard to figure out how high an item will be later on as this depends on the size of the image, padding and so on. 

Yes, of course.  However, tool-bar buttons are (by default) created
from certain menu-bar items.  And since (AFAIR) we do show the menu
bar when the frame is created, we could at the same time compute and
display the tool bar.